Package org.gradle.plugins.ide.eclipse.model

## Class WbDependentModule

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.WbDependentModule

- All Implemented Interfaces:
    `WbModuleEntry`

      public class WbDependentModule
      extends java.lang.Object
      implements WbModuleEntry

  A wtp descriptor dependent module entry.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WbDependentModule​(Node node)` |
    `WbDependentModule​(java.lang.String deployPath, java.lang.String handle)` |
    `WbDependentModule​(java.lang.String archiveName, java.lang.String deployPath, java.lang.String handle)` | Constructor for WbDependentModule

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendNode​(Node parentNode)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getArchiveName()` | Get the archiveName property.
    `java.lang.String` | `getDeployPath()` |
    `java.lang.String` | `getHandle()` |
    `int` | `hashCode()` |
    `void` | `setArchiveName​(java.lang.String archiveName)` | Set the archiveName for this module.
    `void` | `setDeployPath​(java.lang.String deployPath)` |
    `void` | `setHandle​(java.lang.String handle)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WbDependentModule

          public WbDependentModule​(Node node)

    - #### WbDependentModule

          public WbDependentModule​(java.lang.String deployPath,
                                   java.lang.String handle)

    - #### WbDependentModule

          @Incubating
          public WbDependentModule​(java.lang.String archiveName,
                                   java.lang.String deployPath,
                                   java.lang.String handle)

      Constructor for WbDependentModule
      Since:
        8.1

  - ### Method Detail

    - #### getArchiveName

          @Incubating
          public java.lang.String getArchiveName()

      Get the archiveName property.
      Returns:
        the archiveName for this module.
      Since:
        8.1

    - #### setArchiveName

          @Incubating
          public void setArchiveName​(java.lang.String archiveName)

      Set the archiveName for this module.
      Parameters:
        `archiveName` - the archiveName value to set.
      Since:
        8.1

    - #### getDeployPath

          public java.lang.String getDeployPath()

    - #### setDeployPath

          public void setDeployPath​(java.lang.String deployPath)

    - #### getHandle

          public java.lang.String getHandle()

    - #### setHandle

          public void setHandle​(java.lang.String handle)

    - #### appendNode

          public void appendNode​(Node parentNode)

      Specified by:
        `appendNode` in interface `WbModuleEntry`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`